<?php
return [
    'enabled' => [
        'title' => __('Enable/Disable', 'woocommerce'),
        'type' => 'checkbox',
        'label' => __('Enable Payment system VTB', 'wc-vtbpay'),
        'default' => 'yes'
    ],
    'title' => [
        'title' => __('Title', 'woocommerce'),
        'type' => 'text',
        'description' => __('This controls the title which the user sees during checkout.', 'woocommerce'),
        'default' => __('Payment system VTB', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'description' => [
        'title' => __('Customer Message', 'wc-vtbpay'),
        'type' => 'textarea',
        'css' => 'width:500px;',
        'default' => __('Pay with a card of any bank without commission.', 'wc-vtbpay'),
        'description' => __('The message which you want it to appear to the customer in the checkout page.', 'wc-vtbpay'),
    ],
    'client_id' => [
        'title' => __('Client ID', 'wc-vtbpay') . ' <span style="color:red;">*<span/>',
        'type' => 'text',
        'description' => __('Merchant\'s client ID is required to call the API.', 'wc-vtbpay'),
        'placeholder' => __('Enter Client ID', 'wc-vtbpay'),
        'custom_attributes' => ['required' => 'required'],
        'desc_tip' => true,
    ],
    'client_secret' => [
        'title' => __('Client Secret', 'wc-vtbpay') . ' <span style="color:red;">*<span/>',
        'type' => 'text',
        'description' => __('Merchant\'s secret key is required to call the API.', 'wc-vtbpay'),
        'placeholder' => __('Enter Client Secret', 'wc-vtbpay'),
        'custom_attributes' => ['required' => 'required'],
        'desc_tip' => true,
    ],
    'merchant_authorization' => [
        'title' => __('Merchant-Authorization', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __('Request header used by the merchant resource for additional authentication when accessing the payment gateway.', 'wc-vtbpay'),
        'placeholder' => __('Enter Merchant-Authorization', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'test_mode' => [
        'title' => __('Test mode', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable test mode', 'wc-vtbpay'),
        'description' => __('In this mode, the payment for the goods is not charged.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'logging' => [
        'title' => __('Logging', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable logging', 'wc-vtbpay'),
        'description' => __('Logging is used to debug plugin performance by storing API request data.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'two_stage' => [
        'title' => __('Two-stage payment', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable two-stage payment', 'wc-vtbpay'),
        'description' => __('Payment in 2 stages: withholding of funds after payment, then confirmation of debit or cancelation of withholding by the merchant via personal cabinet.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'send_zip_code' => [
        'title' => __('Send zip code', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable send zip code', 'wc-vtbpay'),
        'description' => __('Send the buyer\'s postal code to the VTB payment system.', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'transaction_end' => [
        'title' => __('Successful transaction order status', 'wc-vtbpay'),
        'type' => 'select',
        'options' => wc_get_order_statuses(),
        'description' => __('Select the order status to be displayed after successful payment.', 'wc-vtbpay'),
        'default' => 'wc-processing'
    ],
    'section_separator' => [
        'title'   => __('Fiscalization settings', 'wc-vtbpay'), // Заголовок разделителя
        'type'    => 'title', // Тип элемента формы (title для разделителя)
    ],
    'enable_fiscal' => [
        'title' => __('Fiscalization', 'wc-vtbpay'),
        'type' => 'checkbox',
        'label' => __('Enable fiscalization', 'wc-vtbpay'),
        'description' => __('Enable and disable fiscalization (check the box to enable fiscalization).', 'wc-vtbpay'),
        'default' => 'no'
    ],
    'email_fiscal' => [
        'title' => __('Email', 'wc-vtbpay'),
        'type' => 'text',
        'description' => __("Email for sending a fiscal receipt if the user's email is not specified.", 'wc-vtbpay'),
        'placeholder' => __('Enter email.', 'wc-vtbpay'),
        'desc_tip' => true,
    ],
    'payment_type_delivery_fiscal' => [
        'title' => __('Calculation method for delivery', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('Calculation method for the delivery service.', 'wc-vtbpay'),
        'placeholder' => __('Enter calculation method for delivery.', 'wc-vtbpay'),
        'options' => [
            'full_prepayment' => __('Prepayment 100%', 'wc-vtbpay'),
            'prepayment' => __('Prepayment', 'wc-vtbpay'),
            'advance' => __('Advance', 'wc-vtbpay'),
            'full_payment' => __('Full payment', 'wc-vtbpay'),
            'partial_payment' => __('Partial payment and credit', 'wc-vtbpay'),
            'credit' => __('Credit transfer', 'wc-vtbpay'),
            'credit_payment' => __('Credit payment', 'wc-vtbpay')
        ],
        'desc_tip' => true,
        'default' => 'full_prepayment'
    ],
    'section_subtitle_fiscal' => [
        'title'   => __('Default settings for products and services', 'wc-vtbpay'), // Заголовок разделителя
        'type'    => 'title', // Тип элемента формы (title для разделителя)
    ],
    'measure_fiscal' => [
        'title' => __('Units of measurement', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('Default units of measure (for goods and services that do not have a specified unit of measure).', 'wc-vtbpay'),
        'placeholder' => __('Enter units of measurement.', 'wc-vtbpay'),
        'options' => [
            '0' => __('Applies to items that can be sold by piece or unit', 'wc-vtbpay'),
            '10' => __('Gram', 'wc-vtbpay'),
            '11' => __('Kilogram', 'wc-vtbpay'),
            '12' => __('Ton', 'wc-vtbpay'),
            '20' => __('Centimeter', 'wc-vtbpay'),
            '21' => __('Decimeter', 'wc-vtbpay'),
            '22' => __('Meter', 'wc-vtbpay'),
            '30' => __('Square centimeter', 'wc-vtbpay'),
            '31' => __('Square decimeter', 'wc-vtbpay'),
            '32' => __('Square meter', 'wc-vtbpay'),
            '40' => __('Milliliter', 'wc-vtbpay'),
            '41' => __('Liter', 'wc-vtbpay'),
            '42' => __('Cubic meter', 'wc-vtbpay'),
            '50' => __('Kilowatt hour', 'wc-vtbpay'),
            '51' => __('Gcal', 'wc-vtbpay'),
            '70' => __('Day', 'wc-vtbpay'),
            '71' => __('Hour', 'wc-vtbpay'),
            '72' => __('Minute', 'wc-vtbpay'),
            '73' => __('Second', 'wc-vtbpay'),
            '80' => __('Kilobyte', 'wc-vtbpay'),
            '81' => __('Megabyte', 'wc-vtbpay'),
            '82' => __('Gigabyte', 'wc-vtbpay'),
            '83' => __('Terabyte', 'wc-vtbpay'),
            '255' => __('Applies when using other units of measurement', 'wc-vtbpay')
        ],
        'desc_tip' => true,
        'default' => '0'
    ],
    'tax_type_fiscal' => [
        'title' => __('Tax rate', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('Default tax rate (for goods and services that do not have a specified tax rate).', 'wc-vtbpay'),
        'placeholder' => __('Enter tax rate.', 'wc-vtbpay'),
        'options' => [
            'none' => __('Without VAT', 'wc-vtbpay'),
            'vat0' => __('VAT at 0%', 'wc-vtbpay'),
            'vat10' => __('VAT at 10%', 'wc-vtbpay'),
            'vat110' => __('VAT at 10/110 calculated rate', 'wc-vtbpay'),
            'vat20' => __('VAT at 20%', 'wc-vtbpay'),
            'vat120' => __('VAT at 20/120 calculated rate', 'wc-vtbpay')
        ],
        'desc_tip' => true,
        'default' => 'none'
    ],
    'payment_type_fiscal' => [
        'title' => __('Calculation method', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('Default payment method (for goods and services that do not have a payment method specified).', 'wc-vtbpay'),
        'placeholder' => __('Enter calculation method.', 'wc-vtbpay'),
        'options' => [
            'full_prepayment' => __('Prepayment 100%', 'wc-vtbpay'),
            'prepayment' => __('Prepayment', 'wc-vtbpay'),
            'advance' => __('Advance', 'wc-vtbpay'),
            'full_payment' => __('Full payment', 'wc-vtbpay'),
            'partial_payment' => __('Partial payment and credit', 'wc-vtbpay'),
            'credit' => __('Credit transfer', 'wc-vtbpay'),
            'credit_payment' => __('Credit payment', 'wc-vtbpay')
        ],
        'desc_tip' => true,
        'default' => 'full_prepayment'
    ],
    'payment_subject_fiscal' => [
        'title' => __('Subject of calculation', 'wc-vtbpay'),
        'type' => 'select',
        'description' => __('The subject of calculation by default (for goods and services that do not specify the subject of calculation).', 'wc-vtbpay'),
        'placeholder' => __('Enter subject of calculation.', 'wc-vtbpay'),
        'options' => [
            '1' => __('Goods', 'wc-vtbpay'),
            '2' => __('Excise goods', 'wc-vtbpay'),
            '3' => __('Work', 'wc-vtbpay'),
            '4' => __('Service', 'wc-vtbpay'),
            '5' => __('Gambling bet', 'wc-vtbpay'),
            '6' => __('Gambling win', 'wc-vtbpay'),
            '7' => __('Lottery bet', 'wc-vtbpay'),
            '8' => __('Lottery win', 'wc-vtbpay'),
            '9' => __('Granting rights', 'wc-vtbpay'),
            '10' => __('Payment', 'wc-vtbpay'),
            '11' => __('Agency fee', 'wc-vtbpay'),
            '12' => __('Payout', 'wc-vtbpay'),
            '13' => __('Other calculation subject', 'wc-vtbpay'),
            '14' => __('Property right', 'wc-vtbpay'),
            '15' => __('Non-operating income', 'wc-vtbpay'),
            '16' => __('Insurance contributions', 'wc-vtbpay'),
            '17' => __('Trade fee', 'wc-vtbpay'),
            '18' => __('Resort fee', 'wc-vtbpay'),
            '19' => __('Deposit', 'wc-vtbpay'),
            '20' => __('Expense', 'wc-vtbpay'),
            '21' => __('Pension contributions for IP', 'wc-vtbpay'),
            '22' => __('Pension contributions', 'wc-vtbpay'),
            '23' => __('Health insurance contributions for IP', 'wc-vtbpay'),
            '24' => __('Health insurance contributions', 'wc-vtbpay'),
            '25' => __('Social insurance contributions', 'wc-vtbpay'),
            '26' => __('Casino payment', 'wc-vtbpay'),
            '27' => __('Cash issuance by bank payment agent', 'wc-vtbpay'),
            '30' => __('Excise goods subject to marking without code', 'wc-vtbpay'),
            '31' => __('Excise goods subject to marking with code', 'wc-vtbpay'),
            '32' => __('Goods subject to marking without code except excise goods', 'wc-vtbpay'),
            '33' => __('Goods subject to marking with code except excise goods', 'wc-vtbpay')
        ],
        'desc_tip' => true,
        'default' => '1'
    ]
];
